/*
 *    AulaChat - Advanced teacher/pupil communication system
 *    Copyright (C) 2006 James Lpez Prieto (BLuEGoD).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *    
 *    Modulo: Gestin de la BD (MySQL)
 *
 */
#ifndef MSQL_H
#define MSQL_H

#include "aulachat.h"
#include "msql.h"

#include <mysql.h>

#define NOMBREBD "aula" //trivial
MYSQL mysql; //global, ya que no sera lgico andar pasando la variable en funciones que nada tienen que ver..

char ** sqlquery(char *); //Realiza un query a la BD y retorna datos o NULL segn los encuentre o no/haya error
int sqlstart(char *, int *, char *, char *); //Inicializa la conexin con la BD
#endif
