/*
 *    AulaChat - Advanced teacher/pupil communication system
 *    Copyright (C) 2006 James Lpez Prieto (BLuEGoD).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License along
 *    with this program; if not, write to the Free Software Foundation, Inc.,
 *    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *    
 *    Modulo: Gestin de usuarios.
 *
 */

#include "user.h"
#include "msql.h"
#include "web.h"


void * preuser(int tam,int lee) //retorna NULL si error, si no puntero a memoria
{
   //inicio memoria compartida.
   int idm;
   void *pmem=NULL;
   if(!lee)
     {
	clave = ftok (KFILE, KN);
	if (clave == -1) return NULL;
     }
   idm = shmget (clave, tam, lee?0:0777|IPC_CREAT ); //El operador ternario simplifica en caso de que estemos leyendo.. El resultado es trivial.
   if (idm == -1)return NULL;
   pmem = shmat (idm, (char *)0, 0);
   return pmem;
}


int startuser(char *buf)
{

   if(strstr(buf,"nom=")!=NULL)return identifica(buf);//identificacin.
   return 1; //error
   
}

char * strget(char *buf, char *quetmp)
{
   char *tmpcad=calloc(1,strlen(buf)+1);
   char *que=calloc(1,strlen(quetmp)+2);
   char *divcad=NULL;
   char *valor=calloc(1,POST_VAR_MAX);
   strcpy(que,quetmp);
   strcat(que,"=");
   strcpy(tmpcad,buf);
   divcad=strstr(tmpcad,que);
   divcad=strtok(divcad,"&");
   strcpy(valor,divcad+strlen(que));
   free(tmpcad);
   free(que);
   //puts(valor);
   return (valor);
}

int identifica(char *buf) //0 identificado, 1 no identificado
{
   //TODO: Falta identificacion usuarios normales
   char **guarda=NULL,query[100];
   aula *A_admin=NULL;
   if(!strcmp(strget(buf,"clas"),"ADMIN"))
     {
	sprintf(query,"SELECT * from %s WHERE profe=\"%s\" AND pass=\"%s\" AND nombre=\"ADMIN\";",NOMBREBD,strget(buf,"nom"),strget(buf,"pass"));
	if((guarda=sqlquery(query))!=NULL) {
	   //if(A_admin!=NULL)return 1; //ya hay alguien como administrador GLOBAL conectado.
	   //buscar..
	   if((A_admin=preuser(sizeof(aula),0))==NULL)er("Error #5-1",NULL);//se crea memoria, compartida.
	   strcpy(A_admin->nombre,"ADMIN");
	   return 0;
	}
     }
   //else users..
   //else 
   return 1;
    
}


void delink(void *dl)
{
   shmdt(dl);
}
